Subject: Re: bug#41879: 28.0.50; [Patch]: Add project-switch-to-buffer in project.el

From: Dmitry Gutov <[email-masked]>
Date: Mon, 15 Jun 2020 23:55:16 +0300

On 15.06.2020 20:45, Theodor Thornhill wrote:
> I find this useful, and hope others will as well. I bind it myself to 'C-x p b'.

Sounds good.

> The 'project--list-buffers' will not be part of the final patch, but I wanted to provide it so that you have a working example.

I see that the code uses project--completing-read-strict. I'm not 
entirely happy with that function, yet.

Have you tried calling read-buffer with a PREDICATE argument instead? 
That would require extracting some code from project--list-buffers 
(defined in Philip's patch), but it should be straightforward.